> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# TikTok Scraper API 端点

> 使用复制粘贴代码示例向所有五个Bright Data TikTok Scraper API端点发出同步请求。

本指南介绍如何向每个 Bright Data TikTok Scraper API 端点发送同步请求。完成后，您将获得用于个人资料、帖子、TikTok Shop、评论和按个人资料发布的帖子的工作示例。

## 前置条件

* 具有有效 API 密钥的 [Bright Data 账户](https://www.bright.cn/products/web-scraper/tiktok?hs_signup=1\&utm_source=docs)
* 已完成 [快速开始](/cn/products/scrapers/tiktok/quickstart)

## 请求结构

每个同步请求都遵循相同的模式：

```http theme={null}
POST https://api.brightdata.com/datasets/v3/scrape?dataset_id={DATASET_ID}&format=json
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json

[{"url": "https://www.tiktok.com/..."}]
```

端点之间唯一改变的是 `dataset_id` 和输入 URL 格式。

<Note>
  `/scrape` 端点专为实时的单 URL 请求设计。Bright Data 建议每个请求不超过 20 个 URL（这是最佳实践，而非硬性限制），端点最多等待 1 分钟。如果采集耗时更长，响应为 HTTP `202`，返回 `snapshot_id` 而不是数据，采集将继续以异步方式进行。请通过[异步请求](/cn/products/scrapers/scrapers-library/async-requests)获取结果，或使用 [Webhook 投递](/cn/products/scrapers/scrapers-library/data-delivery)接收结果。
</Note>

## 个人资料

**数据集 ID：** `gd_l1villgoiiidt09ci`

```bash theme={null}
curl -X POST \
  "https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l1villgoiiidt09ci&format=json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '[{"url": "https://www.tiktok.com/@tiktok"}]'
```

您应该看到 `200` 响应。处理时间取决于目标网站状况和爬虫负载。

<Accordion title="示例响应">
  ```json theme={null}
  [
    {
      "nickname": "TikTok",
      "account_id": "tiktok",
      "biography": "One TikTok can make a big impact",
      "followers": 95600000,
      "following": 1,
      "likes": 463200000,
      "videos_count": 1502,
      "is_verified": true,
      "url": "https://www.tiktok.com/@tiktok",
      "profile_pic_url": "https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/ba67b11de451691939223e9d978e613a~tplv-tiktokx-cropcenter:720:720.jpeg?dr=9640&refresh_token=..."
    }
  ]
  ```
</Accordion>

[完整个人资料响应架构](/cn/api-reference/scrapers/social-media-apis/tiktok-profiles-collect-by-url)

### TikTok 个人资料抓取器返回哪些输出字段？

TikTok 个人资料抓取器（`gd_l1villgoiiidt09ci`，`collect_by_url`）返回 39 个输出字段。字段说明保留 API 返回的英文原文。

<Accordion title="输出字段（39）">
  | 字段 | 类型 | 说明 |
  | - | - | - |
  | `account_id` | text | A unique identifier for the TikTok account |
  | `nickname` | text | The username or display name of the TikTok user |
  | `biography` | text | The bio or description provided by the TikTok user in their profile |
  | `awg_engagement_rate` | number | The average engagement rate for the user's content |
  | `comment_engagement_rate` | number | The engagement rate specifically related to comments on the user's content |
  | `like_engagement_rate` | number | The engagement rate specifically related to likes on the user's content |
  | `bio_link` | url | The link provided in the user's bio |
  | `predicted_lang` | text | The predicted language of the user's content |
  | `is_verified` | boolean | Indicates whether the TikTok account is verified (boolean: True/False) |
  | `followers` | number | The number of followers the TikTok user has |
  | `following` | number | The number of accounts that the TikTok user is following |
  | `likes` | number | The total number of likes received by the TikTok user |
  | `videos_count` | number | The total number of videos uploaded by the TikTok user |
  | `create_time` | date | The timestamp indicating when the TikTok account was created |
  | `id` | text | A unique identifier associated with the TikTok user |
  | `url` | url | The URL or link to the TikTok user's profile |
  | `profile_pic_url` | url | URL to the profile picture of the TikTok user |
  | `like_count` | number | The total number of likes received by the user's content |
  | `digg_count` | number | The total number of "Digg" interactions received by the user's content |
  | `is_private` | boolean | Indicates whether the TikTok account is private (boolean: True/False) |
  | `profile_pic_url_hd` | url | URL to the profile picture |
  | `secu_id` | text | A identifier associated with the TikTok user |
  | `short_id` | text | A shorter identifier associated with the TikTok user |
  | `ftc` | text | Federal Trade Commission |
  | `relation` | text | relation |
  | `open_favorite` | boolean | Information about open favoriting settings |
  | `comment_setting` | text | Comment settings chosen by the user |
  | `duet_setting` | text | Duet settings chosen by the user |
  | `stitch_setting` | text | Stitch settings chosen by the user |
  | `is_ad_virtual` | boolean | Indicates whether the user is associated with virtual advertising |
  | `room_id` | text | The ID associated with the user's TikTok room |
  | `is_under_age_18` | text | Indicates whether the user is under the age of 18 |
  | `top_videos` | array | Information about the user's top-performing videos |
  | `signature` | text | The signature or tagline provided by the TikTok user |
  | `discovery_input` | object | Automatic data point sending from the discovery, not needed in the case of manual execution |
  | `is_commerce_user` | boolean | is\_commerce\_user |
  | `top_posts_data` | array | Information about the user's top-performing posts |
  | `pinned_posts` | array | Pinned posts data |
  | `category` | text | Profile’s content or industry category |
</Accordion>

包含输入 schema 的机器可读版本：[`/scrapers/gd_l1villgoiiidt09ci.json`](/scrapers/gd_l1villgoiiidt09ci.json)

## 帖子

**数据集 ID：** `gd_lu702nij2f790tmv9h`

```bash theme={null}
curl -X POST \
  "https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h&format=json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '[{"url": "https://www.tiktok.com/@tiktok/video/7680721699171601694"}]'
```

<Accordion title="示例响应">
  ```json theme={null}
  [
    {
      "url": "https://www.tiktok.com/@tiktok/video/7680721699171601694",
      "description": "this summer was all about the classic hits. here's to the ones that never got away 💿 #SongsofTheSummer2026\nCelebrate the classic hits of Summer 2026 — a pla...",
      "hashtags": [
        "songsofthesummer2026"
      ],
      "video_url": "https://v16-webapp-prime.us.tiktok.com/video/tos/useast8/tos-useast8-pve-0068-tx2/ogxOEIAFdQFtcjgA0ZILu4Is1wzfDfpCqe0Vlu/?a=1988&bti=ODszNWYuMDE6&&bt=1029&ft...",
      "post_id": "7680721699171601694",
      "create_time": "2026-09-02T00:03:08.000Z",
      "digg_count": 5225,
      "share_count": "345",
      "collect_count": 560,
      "comment_count": 801
    }
  ]
  ```
</Accordion>

[完整帖子响应架构](/cn/api-reference/scrapers/social-media-apis/tiktok-posts-collect-by-url)

### TikTok 帖子抓取器返回哪些输出字段？

TikTok 帖子抓取器（`gd_lu702nij2f790tmv9h`，`collect_by_url`）返回 43 个输出字段。字段说明保留 API 返回的英文原文。

<Accordion title="输出字段（43）">
  | 字段 | 类型 | 说明 |
  | - | - | - |
  | `url` | url | Unique post link |
  | `post_id` | text | Identification for each post |
  | `description` | text | Text accompanying the post |
  | `create_time` | date | Post creation timestamp |
  | `digg_count` | number | Likes received |
  | `share_count` | text | Number of shares |
  | `collect_count` | number | Number of times saved |
  | `comment_count` | number | Number of comments |
  | `play_count` | number | Video play count |
  | `video_duration` | number | Duration of the video |
  | `hashtags` | array | Included hashtags |
  | `original_sound` | text | Sound used, if any |
  | `profile_id` | text | Unique user identifier |
  | `profile_username` | text | User's username |
  | `profile_url` | url | User's profile link |
  | `profile_avatar` | url | User's profile picture |
  | `profile_biography` | text | User's bio |
  | `preview_image` | url | Post preview image |
  | `post_type` | text | Type of post (video, image, text) |
  | `discovery_input` | object | Discovery input value |
  | `offical_item` | boolean | Indicates if the video is an official item |
  | `secu_id` | text | Security identifier for the profile |
  | `original_item` | boolean | Indicates if the video is original |
  | `shortcode` | text | Shortcode for the video |
  | `width` | number | Width of the video |
  | `ratio` | text | Aspect ratio of the video |
  | `video_url` | url | URL of the video, URLs that are generated are session-based only |
  | `music` | object | Information about the music used in the video |
  | `cdn_url` | url | URL link to media |
  | `is_verified` | boolean | Indicates whether the TikTok account is verified (boolean: True/False) |
  | `account_id` | text | Account ID |
  | `carousel_images` | array | List of images for 'carousel'-type TikTok posts |
  | `tagged_user` | array | Tagged user |
  | `profile_followers` | number | Number of followers of the post Author |
  | `tt_chain_token` | text | A session-related token used by TikTok to track and validate user requests |
  | `region` | text | The region column indicates the video's country of origin (e.g., US, UK) |
  | `commerce_info` | text | Information indicating if the post includes shopping, promotional, or affiliate content |
  | `subtitle_url` | url | URL for the subtitles |
  | `subtitle_format` | text | Format of the subtitles |
  | `subtitle_info` | array | Subtitle info |
  | `cdn_link` | text | URL link to media |
  | `num_share_count` | number | Number of shares |
  | `comments` | array | Comments of the post |
</Accordion>

包含输入 schema 的机器可读版本：[`/scrapers/gd_lu702nij2f790tmv9h.json`](/scrapers/gd_lu702nij2f790tmv9h.json)

## TikTok Shop

**数据集 ID：** `gd_m45m1u911dsa4274pi`

```bash theme={null}
curl -X POST \
  "https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m45m1u911dsa4274pi&format=json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '[{"url": "https://www.tiktok.com/@shop/product/1234567890"}]'
```

<Accordion title="示例响应（示意，非实际抓取）">
  ```json theme={null}
  [
    {
      "url": "https://www.tiktok.com/@shop/product/1234567890",
      "product_name": "Wireless Bluetooth Earbuds",
      "price": 29.99,
      "currency": "USD",
      "rating": 4.7,
      "reviews_count": 1850,
      "seller_name": "TechStore Official",
      "category": "Electronics"
    }
  ]
  ```
</Accordion>

[完整 TikTok Shop 响应架构](/cn/api-reference/scrapers/social-media-apis/tiktok-shop-collect-by-url)

### TikTok Shop 抓取器返回哪些输出字段？

TikTok Shop 抓取器（`gd_m45m1u911dsa4274pi`，`collect_by_url`）返回 59 个输出字段。字段说明保留 API 返回的英文原文。

<Accordion title="输出字段（59）">
  | 字段 | 类型 | 说明 |
  | - | - | - |
  | `url` | url | Product detail page URL on TikTok Shop |
  | `title` | text | Product title |
  | `available` | boolean | Indicates whether the product is currently available |
  | `description` | text | Full product description |
  | `currency` | text | Currency |
  | `initial_price` | number | Original price before any discounts |
  | `final_price` | number | Final price after discounts applied |
  | `discount_percent` | number | Discount percentage applied to the product |
  | `initial_price_low` | number | Lowest initial price across product variations |
  | `initial_price_high` | number | Highest initial price across product variations |
  | `final_price_low` | number | Lowest final price across product variations |
  | `final_price_high` | number | Highest final price across product variations |
  | `sold` | number | Total number of units sold |
  | `colors` | array | Available color options for the product |
  | `sizes` | array | Available size options for the product |
  | `shipping_fee` | number | Shipping fee for the product |
  | `specifications` | array | Product specifications as name-value pairs |
  | `reviews_count` | number | Total number of customer reviews |
  | `reviews` | array | Customer reviews for the product |
  | `store_details` | object | Store information including name, URL, and metrics |
  | `images` | array | Product image URLs |
  | `domain` | text | Domain of the website where the product is listed |
  | `videos` | array | Product video CDN URLs |
  | `category` | text | Product category classification |
  | `category_url` | url | URL of the product category page |
  | `id` | text | Product ID |
  | `seller_id` | text | Unique identifier of the seller |
  | `prodct_rating` | number | Average product rating score |
  | `position` | number | The product's position at the page |
  | `variations` | array | The product variations |
  | `In_stock` | boolean | In stock indicator |
  | `promotion_items` | array | Active promotional items or offers |
  | `desc_detail` | text | Description detail |
  | `related_videos` | array | TikTok videos related to the product |
  | `video_link` | text | Product Video link |
  | `Shop_performance_metrics` | array | Shop performance metrics |
  | `variant_id` | text | Unique variant ID |
  | `category_tree` | array | Hierarchical category breadcrumb with names and URLs |
  | `brand` | text | Product brand |
  | `image_url` | text | Main product image URL |
  | `nai_price` | price | Regular price |
  | `sale_price` | price | Discounted price |
  | `availability` | text | Product availability (in\_stock, out\_of\_stock, pre\_order, etc.) |
  | `availability_date` | text | Availability date |
  | `group_id` | text | Variant group ID (same for all variants) |
  | `listing_has_variations` | boolean | Indicates if the listing has variations |
  | `variant_attributes` | array | Currently selected variant attributes as name-value pairs |
  | `nai_variants` | array | All available variant options grouped by type |
  | `store_name` | text | Seller name |
  | `seller_url` | text | Seller page URL |
  | `seller_privacy_policy` | text | Seller-specific privacy policy URL |
  | `seller_tos` | text | Seller-specific terms of service URL |
  | `return_policy` | text | Policy URL |
  | `return_window` | number | Days allowed for return |
  | `target_countries` | array | Target countries of the item |
  | `store_country` | text | Store country of the item |
  | `category_urls` | array | List of category URLs for the product breadcrumb trail |
  | `nai_reviews` | array | Review entries |
  | `additional_image_urls` | array | Extra product images (comma-separated list) |
</Accordion>

包含输入 schema 的机器可读版本：[`/scrapers/gd_m45m1u911dsa4274pi.json`](/scrapers/gd_m45m1u911dsa4274pi.json)

## 评论

**数据集 ID：** `gd_lkf2st302ap89utw5k`

```bash theme={null}
curl -X POST \
  "https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lkf2st302ap89utw5k&format=json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '[{"url": "https://www.tiktok.com/@tiktok/video/7680721699171601694"}]'
```

<Accordion title="示例响应">
  ```json theme={null}
  [
    {
      "url": "https://www.tiktok.com/@tiktok/video/7680721699171601694",
      "replies": [],
      "post_url": "https://www.tiktok.com/@tiktok/video/7680721699171601694",
      "post_id": "7680721699171601694",
      "post_date_created": "2026-09-02T00:03:08.000Z",
      "date_created": "2026-09-05T09:50:19.000Z",
      "comment_text": "@꒰ྀི ˶> ˕ <˶ྀི꒱:love tiktok",
      "num_likes": 5,
      "num_replies": 0,
      "commenter_user_name": "꒰ྀི ˶> ˕ <˶ྀི꒱"
    }
  ]
  ```
</Accordion>

[完整评论响应架构](/cn/api-reference/scrapers/social-media-apis/tiktok-comments-collect-by-url)

### TikTok 评论抓取器返回哪些输出字段？

TikTok 评论抓取器（`gd_lkf2st302ap89utw5k`，`collect_by_url`）返回 14 个输出字段。字段说明保留 API 返回的英文原文。

| 字段 | 类型 | 说明 |
| - | - | - |
| `url` | url | status |
| `post_url` | url | Post web address |
| `post_id` | text | Unique post identifier |
| `post_date_created` | date | Date of post creation |
| `date_created` | date | Comment creation date |
| `comment_text` | text | Comment content |
| `num_likes` | number | Number of likes on the comment |
| `num_replies` | number | Number of replies to the comment |
| `commenter_user_name` | text | Commenter's username |
| `commenter_id` | text | Commenter's unique identifier |
| `commenter_url` | url | Commenter's profile URL |
| `comment_id` | text | The unique ID for the comment |
| `comment_url` | url | The URL for the comment |
| `replies` | array | replies |

包含输入 schema 的机器可读版本：[`/scrapers/gd_lkf2st302ap89utw5k.json`](/scrapers/gd_lkf2st302ap89utw5k.json)

## 按个人资料发布的帖子快速 API

**数据集 ID：** `gd_m7n5v2gq296pex2f5m`

```bash theme={null}
curl -X POST \
  "https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m7n5v2gq296pex2f5m&format=json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '[{"url": "https://www.tiktok.com/@tiktok"}]'
```

<Accordion title="示例响应">
  ```json theme={null}
  [
    {
      "url": "https://www.tiktok.com/@tiktok/video/7680721699171601694",
      "description": "this summer was all about the classic hits. here's to the ones that never got away 💿 #SongsofTheSummer2026",
      "post_id": "7680721699171601694",
      "create_time": "2026-09-02T00:03:08.000Z",
      "digg_count": 5213,
      "share_count": "344",
      "collect_count": 556,
      "comment_count": 797,
      "play_count": 118100,
      "video_duration": 56
    }
  ]
  ```
</Accordion>

[完整按个人资料发布的帖子快速 API 响应架构](/cn/api-reference/scrapers/social-media-apis/tiktok-posts-by-profile-fast-api-collect-by-url)

### TikTok 按个人资料发布的帖子快速 API 抓取器返回哪些输出字段？

TikTok 按个人资料发布的帖子快速 API 抓取器（`gd_m7n5v2gq296pex2f5m`，`collect_by_url`）返回 35 个输出字段。字段说明保留 API 返回的英文原文。

<Accordion title="输出字段（35）">
  | 字段 | 类型 | 说明 |
  | - | - | - |
  | `url` | url | Unique post link |
  | `post_id` | text | Identification for each post |
  | `description` | text | Text accompanying the post |
  | `create_time` | date | Post creation timestamp |
  | `digg_count` | number | Likes received |
  | `share_count` | text | Number of shares |
  | `collect_count` | number | Number of times saved |
  | `comment_count` | number | Number of comments |
  | `play_count` | number | Video play count |
  | `video_duration` | number | Duration of the video |
  | `hashtags` | array | Included hashtags |
  | `original_sound` | text | Sound used, if any |
  | `profile_id` | text | Unique user identifier |
  | `profile_username` | text | User's username |
  | `profile_url` | url | User's profile link |
  | `profile_avatar` | url | User's profile picture |
  | `profile_biography` | text | User's bio |
  | `preview_image` | url | Post preview image |
  | `post_type` | text | Type of post (video, image, text) |
  | `offical_item` | boolean | Indicates if the video is an official item |
  | `secu_id` | text | Security identifier for the profile |
  | `original_item` | boolean | Indicates if the video is original |
  | `shortcode` | text | Shortcode for the video |
  | `width` | number | Width of the video |
  | `ratio` | text | Aspect ratio of the video |
  | `video_url` | url | URL of the video, URLs that are generated are session-based only |
  | `music` | object | Information about the music used in the video |
  | `cdn_url` | url | URL link to media |
  | `is_verified` | boolean | Indicates whether the TikTok account is verified (boolean: True/False) |
  | `account_id` | text | |
  | `carousel_images` | array | List of images for 'carousel'-type TikTok posts |
  | `tagged_user` | array | |
  | `profile_followers` | number | Number of followers of the post Author |
  | `tt_chain_token` | text | |
  | `region` | text | |
</Accordion>

包含输入 schema 的机器可读版本：[`/scrapers/gd_m7n5v2gq296pex2f5m.json`](/scrapers/gd_m7n5v2gq296pex2f5m.json)

## 快速参考：数据集 ID

| 端点 | 数据集 ID | URL 模式 |
| :- | :- | :- |
| 个人资料 | `gd_l1villgoiiidt09ci` | `tiktok.com/@{username}` |
| 帖子 | `gd_lu702nij2f790tmv9h` | `tiktok.com/@{username}/video/{id}` |
| TikTok Shop | `gd_m45m1u911dsa4274pi` | `tiktok.com/@shop/product/{id}` |
| 评论 | `gd_lkf2st302ap89utw5k` | `tiktok.com/@{username}/video/{id}` |
| 按个人资料发布的帖子快速 API | `gd_m7n5v2gq296pex2f5m` | `tiktok.com/@{username}` |

## 输出格式

使用 `format` 查询参数控制响应格式：

| 值 | 描述 |
| :- | :- |
| `json` | JSON 数组 |
| `ndjson` | 换行分隔的 JSON，每行一条记录（默认） |
| `csv` | 逗号分隔值 |

以上是 `/scrape` 的 `format` 值。完整列表（NDJSON（默认）、JSON、JSON lines、CSV 和 Parquet）及各格式适用范围见[输出格式](/cn/products/scrapers/scrapers-library/data-delivery#支持哪些输出格式)。

## 相关内容

<CardGroup cols={2}>
  <Card title="异步批量请求" icon="layer-group" href="/products/scrapers/scrapers-library/async-requests">
    在单个批量作业中抓取数百个 URL。
  </Card>

  <Card title="API 参考" icon="code" href="/api-reference/scrapers/social-media-apis/tiktok-profiles-collect-by-url">
    完整的参数和响应字段参考。
  </Card>
</CardGroup>
